declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    isDisabled: import("@vue/composition-api").ComputedRef<any>;
    classes: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: any;
    })[]>;
    isActive: import("@vue/composition-api").ComputedRef<boolean>;
    updateCollapseValue: Function;
    innerValue: any;
    expandIconPlacement: any;
    expandOnRowClick: any;
    componentName: import("@vue/composition-api").ComputedRef<string>;
    clickableClass: import("@vue/composition-api").ComputedRef<string>;
    transitionClass: import("@vue/composition-api").ComputedRef<string>;
    showExpandIcon: import("@vue/composition-api").ComputedRef<any>;
}> & import("@vue/composition-api").Data, {
    renderIcon(direction: string): JSX.Element;
    renderHeader(): JSX.Element;
    renderBlank(): JSX.Element;
    renderBody(): JSX.Element;
    renderBodyByNormal(): JSX.Element;
    renderBodyDestroyOnCollapse(): JSX.Element;
    handleClick(e: MouseEvent): void;
}, {}, {
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    destroyOnCollapse: BooleanConstructor;
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    expandIcon: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: any;
    };
    header: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    headerRightContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: import("vue").PropType<string | number>;
    };
}, import("@vue/composition-api").ExtractPropTypes<{
    content: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    default: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    destroyOnCollapse: BooleanConstructor;
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    expandIcon: {
        type: import("vue").PropType<boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
        default: any;
    };
    header: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    headerRightContent: {
        type: import("vue").PropType<string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue)>;
    };
    value: {
        type: import("vue").PropType<string | number>;
    };
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    disabled: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    destroyOnCollapse: boolean;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value?: string | number;
    header?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    headerRightContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, import("@vue/composition-api").ShallowUnwrapRef<{
    isDisabled: import("@vue/composition-api").ComputedRef<any>;
    classes: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: any;
    })[]>;
    isActive: import("@vue/composition-api").ComputedRef<boolean>;
    updateCollapseValue: Function;
    innerValue: any;
    expandIconPlacement: any;
    expandOnRowClick: any;
    componentName: import("@vue/composition-api").ComputedRef<string>;
    clickableClass: import("@vue/composition-api").ComputedRef<string>;
    transitionClass: import("@vue/composition-api").ComputedRef<string>;
    showExpandIcon: import("@vue/composition-api").ComputedRef<any>;
}>, import("@vue/composition-api").Data, {}, {
    renderIcon(direction: string): JSX.Element;
    renderHeader(): JSX.Element;
    renderBlank(): JSX.Element;
    renderBody(): JSX.Element;
    renderBodyByNormal(): JSX.Element;
    renderBodyDestroyOnCollapse(): JSX.Element;
    handleClick(e: MouseEvent): void;
}, {}, {}, {}, {
    disabled: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    destroyOnCollapse: boolean;
} & {
    default?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    content?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    value?: string | number;
    header?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    headerRightContent?: string | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, {
    disabled: boolean;
    expandIcon: boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    destroyOnCollapse: boolean;
}, true>);
export default _default;
